﻿Imports System.IO

Public Class FrmWeather
    Dim MyPath As String
    Dim FC_Day As String() = New String() {"Thu", "Fri", "Sat", "Sun", "Mon", _
                                           "Tue", "Wed", "Thu"}
    Dim FC_Date As String() = New String() {"Nov 18", "Nov 19", "Nov 20", "Nov 21", _
                                            "Nov 22", "Nov 23", "Nov 24", "Nov 25"}
    Dim FC_Desc As String() = New String() {"P_CL", "SU", "M_SU", "P_CL", "P_CL", _
                                            "P_CL", "SH", "M_CL"}
    Dim FC_High As Integer() = New Integer() {59, 52, 57, 53, 59, 63, 57, 53}
    Dim FC_Low As Integer() = New Integer() {38, 37, 37, 42, 44, 43, 38, 38}


    Dim W_Code As String() = New String() {"P_CL", "SU", "M_SU", "SH", "M_CL", "W"}
    Dim W_Desc As String() = New String() {"Partly Cloudy", "Sunny", "Mostly Sunny", _
                                           "Showers", "Mostly Cloudy", "Windy"}
    Dim W_Image As String() = New String() {"30.gif", "32.gif", "34.gif", "11.gif", _
                                            "28.gif", "24.gif"}



    Private Sub FrmWeather_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim i As Integer

        MyPath = Directory.GetCurrentDirectory

        For i = 0 To FC_Day.Length - 1
            lstDays.Items.Add(FC_Day(i) & " " & FC_Date(i))
        Next
        lstDays.SelectedIndex = 0
    End Sub

    Private Sub lstDays_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstDays.SelectedIndexChanged
        Dim i As Integer
        Dim j As Integer

        i = lstDays.SelectedIndex

        lblHigh.Text = "High: " & FC_High(i)
        lblLow.Text = "Low: " & FC_Low(i)

        j = Array.IndexOf(W_Code, FC_Desc(i))

        lblDesc.Text = W_Desc(j)
        picForcast.Image = Image.FromFile(MyPath & "\" & W_Image(j))

    End Sub

    Private Sub btnChart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnChart.Click
        Dim I As Integer
        Dim MyFont As Font = New Font("Courier New", 12)

        For I = 0 To FC_Low.Length - 1
            panChart.CreateGraphics.FillRectangle(Brushes.MidnightBlue, 0, 50 * I, FC_High(I) * 5, 45)
            panChart.CreateGraphics.DrawRectangle(Pens.Black, 0, 50 * I, FC_High(I) * 5, 45)
            panChart.CreateGraphics.FillRectangle(Brushes.DarkSlateBlue, 0, 50 * I, FC_Low(I) * 5, 45)
            panChart.CreateGraphics.DrawRectangle(Pens.Black, 0, 50 * I, FC_Low(I) * 5, 45)
            panChart.CreateGraphics.DrawString(FC_Low(I), MyFont, Brushes.AntiqueWhite, FC_Low(I) * 5 - 25, 50 * I + 5)
            panChart.CreateGraphics.DrawString(FC_High(I), MyFont, Brushes.AntiqueWhite, FC_High(I) * 5 - 25, 50 * I + 5)
        Next
    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        panChart.CreateGraphics.Clear(Color.DeepSkyBlue)
    End Sub
End Class
